function X = parse(nstrfile),

% PARSE_OPTICS return an RAYTRAK optic structure
%
% X = parse_optics(nstrfile)
%
% where nstrfile    = file with optics
%       X           = optic table


fid     = fopen(nstrfile);

if (fid == -1),
    error('(parse) cant open file');
    return
end

X       = optics;

nline = 1;
% disp([ 'parsing:' nstrfile ]);
while(~feof(fid)),
    A       = fgetl(fid);
    % disp([ num2str(nline) ':' A ]);
    
    myoptic = parseline(A);
    X       = append(X, myoptic);
    nline   = nline + 1;
end
fclose(fid);

return
