function y =  count(s),

% COUNT count the rays source positions along the axis.
% 
%   s =  count(s)
% 
% where 
%       s = rays object 
%       z = x,y,z-shift of object

y1 = size(s.posn,1);
y2 = size(s.slope,1);

if (y1 ~= y2),
     warning('badly formed ray structure');
     y = [ y1 y2 ];
end   

y = y1;

return
