function e = m_minimalspot(z,s),

% MINIMALSPOT find the minimum spot diagram
% 
%   e = m_minimalspot(z,s)
% 
% where 
%       e = minimal spotsize 
%       z = axial position
%       s = rays 

s     = translate(s,z);
e     = spotsize(s);

return

