function nApID = getMinAp(p),

% GETMINAP Return the ID containing the minmum aperture. 
%
  
  
  p   = gohead(p);
  nApMin = inf;
  nApID  = 0;
  while (1), % surface 
    p  = next(p);
    if (islast(p)),
        return
    end 
    nPr = get(p);
    nAp = get(nPr, 'aperture');
    nID = get(p, 'current');
    if (nAp < nApMin),
        nApMin = nAp;
        nApID  = nID;
        nApPr  = nPr; 
    end
    p   = next(p);    
  end
return 