function s = rotate(s, R),

% ROTATE rotate a rays object in the x-y-z sense
% 
% s = ROTATE(s, R). Rotate the ray using the rotation matrix R 
% assumes origin of (0,0,0).
% 

% 3/1/05    +ve angle corresponds to anti-clockwise rotation
%           -ve angle corresponds to clock-wise rotation

    s.position = (R*(s.position'))';
    s.slope = (R*(s.slope'))';
return
